


clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\allhh.dta"




drop if wave==2


* Limit sample to HH observed in waves 1 & 3:
bysort hhid: gen flag_13=1 if (_N-_n)==1 //N: total obs #, _n=1=1st obs, 2=2nd and so on.
bysort hhid: replace flag_13=1 if flag_13[1]==1 
//this is to have the flag=1 if the first flag value for hhid is one
sum wave if flag_13==1
tab wave if flag_13==1
//5,696 per wave 
//matches initial sample of w3 in Walker 2.2 table



keep if flag_13==1


*Genereate a Year var that is 0 pre and 1 post:
gen post=0
replace post=1 if wave==3
*replace post=1 if post_wave2==1


*Explore HH with diff mig combinations
sum hhid if pre_dum_other==1 & pre_dum_Qatar==1
sum hhid if pre_dum_local==1 & pre_dum_Qatar==1
sum hhid if pre_dum_other==1 & pre_dum_local==1
sum hhid if pre_dum_other==1 & pre_dum_local==0 & pre_dum_Qatar==0
sum hhid if pre_dum_other==0 & pre_dum_local==1 & pre_dum_Qatar==0
sum hhid if pre_dum_other==0 & pre_dum_local==0 & pre_dum_Qatar==1

*Drop HH with mixed mig types:

drop if pre_dum_other==1 & pre_dum_Qatar==1
drop if pre_dum_local==1 & pre_dum_Qatar==1
drop if pre_dum_other==1 & pre_dum_local==1


*I convert all missing cases to zero
//NOT SURE if this is the best way though..?
 mvencode out*, mv(0) override

*Pre-shock charachteristics:
//Drop waves 2 and 3
keep if wave==1



gen pre_primary_mig_earnings1=pre_primary_mig_earnings/1e6


label var remit1 "Remit (millions)"
label var pre_Muslim "Muslim HH"
label var pre_Christian "Christian HH"
label var pre_Hindu "Hindu HH"
label var pre_Buddhist "Buddhist HH"
label var pre_Kirant "Kirant HH"
label var pre_size "HH Size"
label var pre_below_16_dum "Member$<$16"
label var pre_Head_single "Head Single"
label var pre_Head_married "Head Married"
label var pre_Head_divorce "Head Divorced"
label var pre_Head_widow " Head Widow"
label var pre_Head_age "Head age"
label var pre_Head_male "Head Male"
label var pre_primary_mig_earnings1 "Primary Earning  (mig)"
label var pre_mig_cost "Costs Spent (mig)"
label var pre_mig_back_yes "Expect Return (mig)"
label var pre_mig_month_away "Months away (mig)"

drop if pre_int_migr_HH==.
//NOT SURE WHY 2 are missing

label var pre_mig_age "Age (mig)"






*Var that defines HH with migrants
sum  pre_dum_Qatar pre_dum_other
tab pre_dum_Qatar pre_dum_other




eststo clear
bysort pre_int_migr_HH: eststo:  estpost summarize ///
remit1 pre_Muslim pre_Christian pre_Hindu pre_Buddhist ///
pre_Kirant pre_size pre_below_16_dum pre_Head_male ///
pre_Head_age pre_Head_single pre_Head_married ///
pre_Head_widow pre_Head_divorce pre_mig_age ///
pre_mig_month_away pre_mig_back_yes pre_mig_cost ///
pre_primary_mig_earnings1 ///
pre_size pre_Head_single eltotal_incpc_pre incq_1 incq_2 incq_3 incq_4 edemp1 edemp2 edemp3 edemp4 pre_Head_educ_1 pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4


ereturn list


#delimit ; 
esttab using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sum_stat_mignomigHH.tex", replace cells("mean(fmt(2) label(Mean))
sd(fmt(2) label(SD)) count(fmt(0) label(Obs.))")
nogap nomtitle nonumber label;
#delimit cr 


// ** t-test to compare two means ** \\ 

eststo:  estpost ttest ///
remit1 pre_Muslim pre_Christian pre_Hindu pre_Buddhist pre_Kirant ///
pre_size pre_below_16_dum pre_Head_male pre_Head_age pre_Head_single ///
pre_Head_married pre_Head_widow pre_Head_divorce ///
pre_mig_age pre_mig_month_away pre_mig_back_yes ///
pre_mig_cost pre_primary_mig_earnings1 ///
pre_size pre_Head_single eltotal_incpc_pre incq_1 incq_2 incq_3 incq_4 edemp1 edemp2 edemp3 edemp4 pre_Head_educ_1 pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4, by(pre_int_migr_HH)



esttab using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ttest_mignomigHH.tex", replace nogap nomtitle nonumber label


