clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"




** 								*Controls as per Yang (2008)*
**							    ========================================



#delimit; 
global ps_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/
eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr





		//   *Check balance*	\\

//To see how diff the treat. vs control groups are
*tabstat $ps_var, by(pre_dum_Qatar) ///
*statistics(mean sd) 
//I have done this already in summary stat.
//and it is more convenient to export that way
//issue of simple mean comparison: diff units so
// can't tell which diff is more important
//Sig test is sample-size dep and does not tell us
//how big diff. are (t test I did?)

*so, standardized diff (diff between S.D) is suggested:
*This corresponds to the first table
pbalchk pre_dum_Qatar $ps_var

*Another command that also gives same results:
stddiff $ps_var, by(pre_dum_Qatar)

*Variance Ratio for cont vars:
//leave aside for now as we have a lot of dummy vars
*foreach var in $ps_var2_cont {
*sdtest `var', by(pre_dum_Qatar)
*di "`var'"
*}


//smaller std diff=groups more similar for this var

		//   *Calculate p(x)*	\\


*** Use logit Reg ***
logit pre_dum_Qatar $ps_var
predict pscore

//look at the distributions of the propensity score 
//in the treated and the untreated with the command
graph tw kdensity pscore ///
if  pre_dum_Qatar== 0 || ///
kdensity pscore if pre_dum_Qatar== 1, ///
legend(order(1 "Control" 2 "Treatment")) xtitle(Propensity Score)
graph export "R:\Economics\navarrop\Afnan\Nepal_Embargo\Revision_JODE\kdensity1.png", replace
*The previous graph is the one that goes into the paper

*https://www.stata.com/statalist/archive/2011-02/msg00261.html
//both distributions are skewed because of p(x) 0-1 limit 
//p(x)is higher for treated vs control ?


// We look at log of odds of p(x), i.e. linear prediction
//As it tends to be more normally distributed:

predict lp, xb
graph tw kdensity lp ///
if  pre_dum_Qatar== 0 || ///
kdensity lp if pre_dum_Qatar== 1, ///
legend(order(1 "Control" 2 "Treatment"))
graph export "R:\Economics\navarrop\Afnan\Nepal_Embargo\Revision_JODE\kdensity2.png", replace

*** Diagnostics of p(x) ***

*Hosmer-Lemeshow Test:
//To check if functional form of reg. equation is wrong.
//H0: Model fits the data
estat gof, group(10) table



*I will continue working with the model 
// as it fits well the data


*Identify NN matching:
gmatch pre_dum_Qatar lp, set(set1) diff(diff1)
*Draw graph of difference to assess treat.-control similarity
hist diff1
graph export "R:\Economics\navarrop\Afnan\Nepal_Embargo\Revision_JODE\diff1.png", replace


*Treatment effect:
*Using NN matching:
reg lremit pre_treat pre_dum_Qatar post if set1!=.

*Lunt (2014) mentions that to
//account for the matching nature of data,
// we must run an FE model
xtreg lremit pre_treat pre_dum_Qatar post, i(set1) fe



*Identify caliper matching:
//Identify suitable caplier
histogram diff1 if diff1 < 0.2

gmatch pre_dum_Qatar lp, set(set2) diff(diff2) cal(0.1)

*Treatment effect:
*Using caliper matching:
reg lremit pre_treat pre_dum_Qatar post if set2!=.


xtreg lremit pre_treat pre_dum_Qatar post, i(set2) fe


*** Kernel DID ***

*Using Kernel weighted p(x):
diff lremit, treated(pre_dum_Qatar) period(post) kernel id(hhid) pscore(pscore) support cluster(hhid)
*This corresponds to the second table
pbalchk pre_dum_Qatar $ps_var if _support==1
