
clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"




xtset hhid post





 
** 								*Controls as per Yang (2008)*
**						   ========================================



#delimit; 
global control_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr





** 								    *Coping strategies: Bank account*
**							    ========================================




foreach x in pre_treat {


reg D(lremit) pre_treat pre_out_bank_account ///
bankDID ///
pre_out_bank_account#post ///
pre_out_bank_account#pre_dum_Qatar ///
$control_var $control_yang , vce(r)
est save tab1a`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\bankaccount", se bdec(3)  word ctitle() replace

reg D(lremit) pre_treat pre_out_bank_account ///
bankDID ///
pre_out_bank_account#post ///
pre_out_bank_account#pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r)
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\bankaccount", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_out_bank_account ///
bankDID ///
pre_out_bank_account#post ///
pre_out_bank_account#pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r)
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\bankaccount", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_out_bank_account ///
bankDID ///
pre_out_bank_account#post ///
pre_out_bank_account#pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r)
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\bankaccount", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_out_bank_account ///
bankDID ///
pre_out_bank_account#post ///
pre_out_bank_account#pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r)
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\bankaccount", se bdec(3)  word ctitle() append

}


**Main coeff. export**

foreach x in pre_treat {
 
** model 
est use tab1a`x', number(1)
est stor tab1a_1`x' 
est use tab1a`x', number(2)
est stor tab1a_2`x'
est use tab1a`x', number(3)
est stor tab1a_3`x'
est use tab1a`x', number(4)
est stor tab1a_4`x'
est use tab1a`x', number(5)
est stor tab1a_5`x'


# delimit ;
estout 
tab1a_1`x' tab1a_2`x' tab1a_3`x' tab1a_4`x' tab1a_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\bankaccount.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat pre_out_bank_account bankDID)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}








** 								    *Coping strategies: Asset Index*
**							    ========================================



foreach x in pre_treat {

reg D(lremit) pre_treat assetindex_pre assetiDID asseti_post asseti_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang , vce(r) 
est save tab1b`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() replace

reg D(lremit) pre_treat assetindex_pre assetiDID asseti_post asseti_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_1==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat assetindex_pre assetiDID asseti_post asseti_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_2==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat assetindex_pre assetiDID asseti_post asseti_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_3==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat assetindex_pre assetiDID asseti_post asseti_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_4==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append
}



**Main coeff. export**

foreach x in pre_treat {
 
** model 
est use tab1b`x', number(1)
est stor tab1b_1`x' 
est use tab1b`x', number(2)
est stor tab1b_2`x'
est use tab1b`x', number(3)
est stor tab1b_3`x'
est use tab1b`x', number(4)
est stor tab1b_4`x'
est use tab1b`x', number(5)
est stor tab1b_5`x'


# delimit ;
estout 
tab1b_1`x' tab1b_2`x' tab1b_3`x' tab1b_4`x' tab1b_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat assetindex_pre assetiDID)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}




** 								     *Coping strategies: NETWORK*
**							    ========================================



foreach x in pre_treat {


reg D(lremit) pre_treat network_pre networkDID network_post network_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang , vce(r) 
est save tab1c`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremit_network", se bdec(3)  word ctitle() replace

reg D(lremit) pre_treat network_pre networkDID network_post network_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_1==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremit_network", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat network_pre networkDID network_post network_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_2==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremit_network", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat network_pre networkDID network_post network_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_3==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremit_network", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat network_pre networkDID network_post network_pre_dum_Qatar post pre_dum_Qatar $control_var $control_yang  if q_4==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremit_network", se bdec(3)  word ctitle() append
}



foreach x in pre_treat {
 
** model 
est use tab1c`x', number(1)
est stor tab1c_1`x' 
est use tab1c`x', number(2)
est stor tab1c_2`x'
est use tab1c`x', number(3)
est stor tab1c_3`x'
est use tab1c`x', number(4)
est stor tab1c_4`x'
est use tab1c`x', number(5)
est stor tab1c_5`x'
 
# delimit ;
estout 
tab1c_1`x' tab1c_2`x' tab1c_3`x' tab1c_4`x' tab1c_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremit_network.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}






