
clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"





** 								* No controls *
**							 ========================================



#delimit; 
global control_var /*/*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/ */pre_dum_Qatar;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang /*eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4*/ pre_dum_Qatar;
#delimit cr


xtset hhid post






** 																			*total income (log)*
**																			====================




foreach x in pre_treat {


reg D(ltotal_inc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1a`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalinc", se bdec(3)  word ctitle() replace

reg D(ltotal_inc) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalinc", se bdec(3)  word ctitle() append

reg D(ltotal_inc) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalinc", se bdec(3)  word ctitle() append

reg D(ltotal_inc) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalinc", se bdec(3)  word ctitle() append

reg D(ltotal_inc) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalinc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1a`x', number(1)
est stor tab1a_1`x' 
est use tab1a`x', number(2)
est stor tab1a_2`x'
est use tab1a`x', number(3)
est stor tab1a_3`x'
est use tab1a`x', number(4)
est stor tab1a_4`x'
est use tab1a`x', number(5)
est stor tab1a_5`x'

 
# delimit ;
estout 
tab1a_1`x' tab1a_2`x' tab1a_3`x' tab1a_4`x' tab1a_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_ltotalinc_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





** 																			*Agric inc (log)*
**																			================



foreach x in pre_treat {


reg D(lOut_Agric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1b`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricinc", se bdec(3)  word ctitle() replace

reg D(lOut_Agric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricinc", se bdec(3)  word ctitle() append

reg D(lOut_Agric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricinc", se bdec(3)  word ctitle() append

reg D(lOut_Agric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricinc", se bdec(3)  word ctitle() append

reg D(lOut_Agric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricinc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1b`x', number(1)
est stor tab1b_1`x' 
est use tab1b`x', number(2)
est stor tab1b_2`x'
est use tab1b`x', number(3)
est stor tab1b_3`x'
est use tab1b`x', number(4)
est stor tab1b_4`x'
est use tab1b`x', number(5)
est stor tab1b_5`x'

 
# delimit ;
estout 
tab1b_1`x' tab1b_2`x' tab1b_3`x' tab1b_4`x' tab1b_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_lagrinc_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}








** 																			*Nonagric inc (log)*
**																			====================



foreach x in pre_treat {


reg D(lOut_Nonagric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1c`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricinc", se bdec(3)  word ctitle() replace

reg D(lOut_Nonagric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricinc", se bdec(3)  word ctitle() append

reg D(lOut_Nonagric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricinc", se bdec(3)  word ctitle() append

reg D(lOut_Nonagric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricinc", se bdec(3)  word ctitle() append

reg D(lOut_Nonagric_income) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1c`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricinc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1c`x', number(1)
est stor tab1c_1`x' 
est use tab1c`x', number(2)
est stor tab1c_2`x'
est use tab1c`x', number(3)
est stor tab1c_3`x'
est use tab1c`x', number(4)
est stor tab1c_4`x'
est use tab1c`x', number(5)
est stor tab1c_5`x'

 
# delimit ;
estout 
tab1c_1`x' tab1c_2`x' tab1c_3`x' tab1c_4`x' tab1c_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_lnonagrinc_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}



**																			*sell land*
**																			===========

foreach x in pre_treat {


reg D(sell_land) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1d`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sell_land", se bdec(3)  word ctitle() replace

reg D(sell_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r) 
est save tab1d`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sell_land", se bdec(3)  word ctitle() append

reg D(sell_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r) 
est save tab1d`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sell_land", se bdec(3)  word ctitle() append

reg D(sell_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r) 
est save tab1d`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sell_land", se bdec(3)  word ctitle() append

reg D(sell_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r) 
est save tab1d`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sell_land", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1d`x', number(1)
est stor tab1d_1`x' 
est use tab1d`x', number(2)
est stor tab1d_2`x'
est use tab1d`x', number(3)
est stor tab1d_3`x'
est use tab1d`x', number(4)
est stor tab1d_4`x'
est use tab1d`x', number(5)
est stor tab1d_5`x'
 
# delimit ;
estout 
tab1d_1`x' tab1d_2`x' tab1d_3`x' tab1d_4`x' tab1d_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\sell_land", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}




*																	 			All exp excluding health and school expenditures
*																				=======


foreach x in pre_treat {


reg D(log_all_exp2) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1e`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2", se bdec(3)  word ctitle() replace

reg D(log_all_exp2) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1e`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2", se bdec(3)  word ctitle() append

reg D(log_all_exp2) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1e`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2", se bdec(3)  word ctitle() append

reg D(log_all_exp2) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1e`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2", se bdec(3)  word ctitle() append

reg D(log_all_exp2) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1e`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2", se bdec(3)  word ctitle() append
}




 foreach x in pre_treat {
 
** model 
est use tab1e`x', number(1)
est stor tab1e_1`x' 
est use tab1e`x', number(2)
est stor tab1e_2`x' 
est use tab1e`x', number(3)
est stor tab1e_3`x' 
est use tab1e`x', number(4)
est stor tab1e_4`x' 
est use tab1e`x', number(5)
est stor tab1e_5`x'

# delimit ;
estout 
tab1e_1`x' tab1e_2`x' tab1e_3`x' tab1e_4`x' tab1e_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_allexp_aquart_`x'2.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





*																	 		food exp
*																	 		=========




foreach x in pre_treat {


reg D(lout_food_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1f`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexp", se bdec(3)  word ctitle() replace

reg D(lout_food_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1f`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexp", se bdec(3)  word ctitle() append

reg D(lout_food_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1f`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexp", se bdec(3)  word ctitle() append

reg D(lout_food_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1f`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexp", se bdec(3)  word ctitle() append

reg D(lout_food_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1f`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexp", se bdec(3)  word ctitle() append
}




foreach x in pre_treat {
 
** model 
est use tab1f`x', number(1)
est stor tab1f_1`x' 
est use tab1f`x', number(2)
est stor tab1f_2`x'
est use tab1f`x', number(3)
est stor tab1f_3`x'
est use tab1f`x', number(4)
est stor tab1f_4`x'
est use tab1f`x', number(5)
est stor tab1f_5`x'

 
# delimit ;
estout 
tab1f_1`x' tab1f_2`x' tab1f_3`x' tab1f_4`x' tab1f_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tabfood_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}














*																	 		frequent non-food s6a
*																			======================


foreach x in pre_treat {


reg D(lout_freq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1g`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexp", se bdec(3)  word ctitle() replace

reg D(lout_freq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1g`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexp", se bdec(3)  word ctitle() append

reg D(lout_freq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1g`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexp", se bdec(3)  word ctitle() append

reg D(lout_freq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1g`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexp", se bdec(3)  word ctitle() append

reg D(lout_freq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1g`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexp", se bdec(3)  word ctitle() append
}




 foreach x in pre_treat {
 
** model 
est use tab1g`x', number(1)
est stor tab1g_1`x' 
est use tab1g`x', number(2)
est stor tab1g_2`x' 
est use tab1g`x', number(3)
est stor tab1g_3`x' 
est use tab1g`x', number(4)
est stor tab1g_4`x' 
est use tab1g`x', number(5)
est stor tab1g_5`x'

# delimit ;
estout 
tab1g_1`x' tab1g_2`x' tab1g_3`x' tab1g_4`x' tab1g_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_freqnonfood_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}









*																	 		infrequent non-food exp
*																			=======================





foreach x in pre_treat {


reg D(lout_infreq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1h`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexp", se bdec(3)  word ctitle() replace

reg D(lout_infreq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1h`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexp", se bdec(3)  word ctitle() append

reg D(lout_infreq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1h`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexp", se bdec(3)  word ctitle() append

reg D(lout_infreq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1h`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexp", se bdec(3)  word ctitle() append

reg D(lout_infreq_nonfood_exp) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1h`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexp", se bdec(3)  word ctitle() append
}




 foreach x in pre_treat {
 
** model 
est use tab1h`x', number(1)
est stor tab1h_1`x' 
est use tab1h`x', number(2)
est stor tab1h_2`x' 
est use tab1h`x', number(3)
est stor tab1h_3`x' 
est use tab1h`x', number(4)
est stor tab1h_4`x' 
est use tab1h`x', number(5)
est stor tab1h_5`x'

# delimit ;
estout 
tab1h_1`x' tab1h_2`x' tab1h_3`x' tab1h_4`x' tab1h_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_infreqnonfood_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}








*																	 			    School expenditure
*																			  =============================


foreach x in pre_treat {


reg D(lout_schl_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang , vce(r) 
est save tab1i`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexp", se bdec(3)  word ctitle() replace

reg D(lout_schl_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1i`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexp", se bdec(3)  word ctitle() append

reg D(lout_schl_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1i`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexp", se bdec(3)  word ctitle() append

reg D(lout_schl_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1i`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexp", se bdec(3)  word ctitle() append

reg D(lout_schl_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1i`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexp", se bdec(3)  word ctitle() append
}




 foreach x in pre_treat {
 
** model 
est use tab1i`x', number(1)
est stor tab1i_1`x' 
est use tab1i`x', number(2)
est stor tab1i_2`x' 
est use tab1i`x', number(3)
est stor tab1i_3`x' 
est use tab1i`x', number(4)
est stor tab1i_4`x' 
est use tab1i`x', number(5)
est stor tab1i_5`x'

# delimit ;
estout 
tab1i_1`x' tab1i_2`x' tab1i_3`x' tab1i_4`x' tab1i_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_schoolexp_aquart_`x'1.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





*																	 			    Health expenditure
*																			  =============================

foreach x in pre_treat {


reg D(lout_health_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1j`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexp", se bdec(3)  word ctitle() replace

reg D(lout_health_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1j`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexp", se bdec(3)  word ctitle() append

reg D(lout_health_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1j`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexp", se bdec(3)  word ctitle() append

reg D(lout_health_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1j`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexp", se bdec(3)  word ctitle() append

reg D(lout_health_exp_total) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1j`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexp", se bdec(3)  word ctitle() append
}




 foreach x in pre_treat {
 
** model 
est use tab1j`x', number(1)
est stor tab1j_1`x' 
est use tab1j`x', number(2)
est stor tab1j_2`x' 
est use tab1j`x', number(3)
est stor tab1j_3`x' 
est use tab1j`x', number(4)
est stor tab1j_4`x' 
est use tab1j`x', number(5)
est stor tab1j_5`x'

# delimit ;
estout 
tab1j_1`x' tab1j_2`x' tab1j_3`x' tab1j_4`x' tab1j_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_healthexp_aquart_`x'1.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





**																			*buy_land*
**																			===========

foreach x in pre_treat {


reg D(buy_land) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1k`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\buy_land", se bdec(3)  word ctitle() replace

reg D(buy_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r) 
est save tab1k`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\buy_land", se bdec(3)  word ctitle() append

reg D(buy_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r) 
est save tab1k`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\buy_land", se bdec(3)  word ctitle() append

reg D(buy_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r) 
est save tab1k`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\buy_land", se bdec(3)  word ctitle() append

reg D(buy_land) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r) 
est save tab1k`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\buy_land", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1k`x', number(1)
est stor tab1k_1`x' 
est use tab1k`x', number(2)
est stor tab1k_2`x'
est use tab1k`x', number(3)
est stor tab1k_3`x'
est use tab1k`x', number(4)
est stor tab1k_4`x'
est use tab1k`x', number(5)
est stor tab1k_5`x'
 
# delimit ;
estout 
tab1k_1`x' tab1k_2`x' tab1k_3`x' tab1k_4`x' tab1k_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\buy_land", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}




**																			*out_has_loans*
**																			===========

foreach x in pre_treat {


reg D(out_has_loans) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1l`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\has_loans", se bdec(3)  word ctitle() replace

reg D(out_has_loans) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r) 
est save tab1l`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\has_loans", se bdec(3)  word ctitle() append

reg D(out_has_loans) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r) 
est save tab1l`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\has_loans", se bdec(3)  word ctitle() append

reg D(out_has_loans) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r) 
est save tab1l`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\has_loans", se bdec(3)  word ctitle() append

reg D(out_has_loans) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r) 
est save tab1l`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\has_loans", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1l`x', number(1)
est stor tab1l_1`x' 
est use tab1l`x', number(2)
est stor tab1l_2`x'
est use tab1l`x', number(3)
est stor tab1l_3`x'
est use tab1l`x', number(4)
est stor tab1l_4`x'
est use tab1l`x', number(5)
est stor tab1l_5`x'
 
# delimit ;
estout 
tab1l_1`x' tab1l_2`x' tab1l_3`x' tab1l_4`x' tab1l_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\has_loans", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}




gen lloanrepaid=log(1+loanrepaid)



foreach x in pre_treat {


reg D(lloanrepaid) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1m`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidc", se bdec(3)  word ctitle() replace

reg D(lloanrepaid) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r) 
est save tab1m`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidc", se bdec(3)  word ctitle() append

reg D(lloanrepaid) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r) 
est save tab1m`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidc", se bdec(3)  word ctitle() append

reg D(lloanrepaid) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r) 
est save tab1m`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidc", se bdec(3)  word ctitle() append

reg D(lloanrepaid) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r) 
est save tab1m`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1m`x', number(1)
est stor tab1m_1`x' 
est use tab1m`x', number(2)
est stor tab1m_2`x'
est use tab1m`x', number(3)
est stor tab1m_3`x'
est use tab1m`x', number(4)
est stor tab1m_4`x'
est use tab1m`x', number(5)
est stor tab1m_5`x'
 
# delimit ;
estout 
tab1m_1`x' tab1m_2`x' tab1m_3`x' tab1m_4`x' tab1m_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidc", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}


**																			*out_s12q06*
**																			===========

foreach x in pre_treat {


reg D(out_s12q06) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1n`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\s12q06", se bdec(3)  word ctitle() replace

reg D(out_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r) 
est save tab1n`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\s12q06", se bdec(3)  word ctitle() append

reg D(out_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r) 
est save tab1n`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\s12q06", se bdec(3)  word ctitle() append

reg D(out_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r) 
est save tab1n`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\s12q06", se bdec(3)  word ctitle() append

reg D(out_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r) 
est save tab1n`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\s12q06", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1n`x', number(1)
est stor tab1n_1`x' 
est use tab1n`x', number(2)
est stor tab1n_2`x'
est use tab1n`x', number(3)
est stor tab1n_3`x'
est use tab1n`x', number(4)
est stor tab1n_4`x'
est use tab1n`x', number(5)
est stor tab1n_5`x'
 
# delimit ;
estout 
tab1n_1`x' tab1n_2`x' tab1n_3`x' tab1n_4`x' tab1n_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\s12q06", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}







*loan amount in logs

gen lout_s12q06=log(1+out_s12q06)


**																			*out_s12q06*
**																			===========

foreach x in pre_treat {


reg D(lout_s12q06) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1o`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06", se bdec(3)  word ctitle() replace

reg D(lout_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_1==1, vce(r) 
est save tab1o`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06", se bdec(3)  word ctitle() append

reg D(lout_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_2==1, vce(r) 
est save tab1o`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06", se bdec(3)  word ctitle() append

reg D(lout_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_3==1, vce(r) 
est save tab1o`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06", se bdec(3)  word ctitle() append

reg D(lout_s12q06) pre_treat pre_dum_Qatar ///
$control_var  $control_yang if q_4==1, vce(r) 
est save tab1o`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1o`x', number(1)
est stor tab1o_1`x' 
est use tab1o`x', number(2)
est stor tab1o_2`x'
est use tab1o`x', number(3)
est stor tab1o_3`x'
est use tab1o`x', number(4)
est stor tab1o_4`x'
est use tab1o`x', number(5)
est stor tab1o_5`x'
 
# delimit ;
estout 
tab1o_1`x' tab1o_2`x' tab1o_3`x' tab1o_4`x' tab1o_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





** 																			*Asset index*
**																			=============


foreach x in pre_treat {


reg D(assetindex) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1p`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() replace

reg D(assetindex) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1p`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append

reg D(assetindex) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1p`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append

reg D(assetindex) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1p`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append

reg D(assetindex) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1p`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\assetindex", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1p`x', number(1)
est stor tab1p_1`x' 
est use tab1p`x', number(2)
est stor tab1p_2`x'
est use tab1p`x', number(3)
est stor tab1p_3`x'
est use tab1p`x', number(4)
est stor tab1p_4`x'
est use tab1p`x', number(5)
est stor tab1p_5`x'

 
# delimit ;
estout 
tab1p_1`x' tab1p_2`x' tab1p_3`x' tab1p_4`x' tab1p_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_assetindex_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}



** 																			*Food insecurity*
**																			================


foreach x in pre_treat {


reg D(out_severe_food_insecure) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1q`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\foodinsecure", se bdec(3)  word ctitle() replace

reg D(out_severe_food_insecure) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1q`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\foodinsecure", se bdec(3)  word ctitle() append

reg D(out_severe_food_insecure) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1q`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\foodinsecure", se bdec(3)  word ctitle() append

reg D(out_severe_food_insecure) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1q`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\foodinsecure", se bdec(3)  word ctitle() append

reg D(out_severe_food_insecure) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1q`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\foodinsecure", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1q`x', number(1)
est stor tab1q_1`x' 
est use tab1q`x', number(2)
est stor tab1q_2`x'
est use tab1q`x', number(3)
est stor tab1q_3`x'
est use tab1q`x', number(4)
est stor tab1q_4`x'
est use tab1q`x', number(5)
est stor tab1q_5`x'

 
# delimit ;
estout 
tab1q_1`x' tab1q_2`x' tab1q_3`x' tab1q_4`x' tab1q_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\tab_sevfoodinsecure_aquart_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}
