

clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"




                                  *Table 3. Extensive and Intensive margin by quartile of wealth index*
*					        ================================================================================




   								 *Controls as per Yang (2008)*
*							========================================



#delimit; 
global control_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr


xtset hhid post

** 																			*Table 3: Intensive margin*
**																		  ==============================


foreach x in pre_treat {


reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1a`x', replace
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin", se bdec(3)  word ctitle() replace

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1a`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1a`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1a`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1a`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1a`x', number(1)
est stor tab1a_1`x' 
est use tab1a`x', number(2)
est stor tab1a_2`x'
est use tab1a`x', number(3)
est stor tab1a_3`x'
est use tab1a`x', number(4)
est stor tab1a_4`x'
est use tab1a`x', number(5)
est stor tab1a_5`x'

 
# delimit ;
estout 
tab1a_1`x' tab1a_2`x' tab1a_3`x' tab1a_4`x' tab1a_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}







* Extensive margin

gen remitd=0 if remit==0
replace remitd=1 if remit>0 

** 																			*Table 3: Extensive margin*
**																		 =================================


foreach x in pre_treat {


reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1b`x', replace
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin", se bdec(3)  word ctitle() replace

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1b`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1b`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1b`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1b`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1b`x', number(1)
est stor tab1b_1`x' 
est use tab1b`x', number(2)
est stor tab1b_2`x'
est use tab1b`x', number(3)
est stor tab1b_3`x'
est use tab1b`x', number(4)
est stor tab1b_4`x'
est use tab1b`x', number(5)
est stor tab1b_5`x'

 
# delimit ;
estout 
tab1b_1`x' tab1b_2`x' tab1b_3`x' tab1b_4`x' tab1b_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}




                                  *Table 3. Extensive and Intensive margin by quartile of wealth index*
*					        ================================================================================




   								 *Without controls*
*							========================================


** 																			*Table 3: Intensive margin*
**																		  ==============================


foreach x in pre_treat {


reg D(lremit) pre_treat pre_dum_Qatar ///
 , vce(r) 
est save tab1c`x', replace
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_nc", se bdec(3)  word ctitle() replace

reg D(lremit) pre_treat pre_dum_Qatar ///
 if q_1==1, vce(r) 
est save tab1c`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_nc", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
 if q_2==1, vce(r) 
est save tab1c`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_nc", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
 if q_3==1, vce(r) 
est save tab1c`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_nc", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
 if q_4==1, vce(r) 
est save tab1c`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_nc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1c`x', number(1)
est stor tab1c_1`x' 
est use tab1c`x', number(2)
est stor tab1c_2`x'
est use tab1c`x', number(3)
est stor tab1c_3`x'
est use tab1c`x', number(4)
est stor tab1c_4`x'
est use tab1c`x', number(5)
est stor tab1c_5`x'

 
# delimit ;
estout 
tab1c_1`x' tab1c_2`x' tab1c_3`x' tab1c_4`x' tab1c_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_nc_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}








** 																			*Table 3: Extensive margin*
**																		 =================================


foreach x in pre_treat {


reg D(remitd) pre_treat pre_dum_Qatar ///
 , vce(r) 
est save tab1d`x', replace
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_nc", se bdec(3)  word ctitle() replace

reg D(remitd) pre_treat pre_dum_Qatar ///
 if q_1==1, vce(r) 
est save tab1d`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_nc", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
 if q_2==1, vce(r) 
est save tab1d`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_nc", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
 if q_3==1, vce(r) 
est save tab1d`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_nc", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
 if q_4==1, vce(r) 
est save tab1d`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_nc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1d`x', number(1)
est stor tab1d_1`x' 
est use tab1d`x', number(2)
est stor tab1d_2`x'
est use tab1d`x', number(3)
est stor tab1d_3`x'
est use tab1d`x', number(4)
est stor tab1d_4`x'
est use tab1d`x', number(5)
est stor tab1d_5`x'

 
# delimit ;
estout 
tab1d_1`x' tab1d_2`x' tab1d_3`x' tab1d_4`x' tab1d_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_nc_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}




                                          *Table 3. Dropping blockading countries*
*					        ================================================================================


clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data_wbc.dta"




                                  *Table 3. Extensive and Intensive margin by quartile of wealth index*
*					        ================================================================================




   								 *Controls as per Yang (2008)*
*							========================================



#delimit; 
global control_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr


xtset hhid post

** 																			*Table 3: Intensive margin*
**																		  ==============================


foreach x in pre_treat {


reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1e`x', replace
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_wbc", se bdec(3)  word ctitle() replace

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1e`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_wbc", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1e`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_wbc", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1e`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_wbc", se bdec(3)  word ctitle() append

reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1e`x', append
sum lremit if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_wbc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1e`x', number(1)
est stor tab1e_1`x' 
est use tab1e`x', number(2)
est stor tab1e_2`x'
est use tab1e`x', number(3)
est stor tab1e_3`x'
est use tab1e`x', number(4)
est stor tab1e_4`x'
est use tab1e`x', number(5)
est stor tab1e_5`x'

 
# delimit ;
estout 
tab1e_1`x' tab1e_2`x' tab1e_3`x' tab1e_4`x' tab1e_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_intensivemargin_wbc_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}







* Extensive margin

gen remitd=0 if remit==0
replace remitd=1 if remit>0 

** 																			*Table 3: Extensive margin*
**																		 =================================


foreach x in pre_treat {


reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1f`x', replace
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_wbc", se bdec(3)  word ctitle() replace

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1f`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_wbc", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1f`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_wbc", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1f`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_wbc", se bdec(3)  word ctitle() append

reg D(remitd) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1f`x', append
sum remitd if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_wbc", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1f`x', number(1)
est stor tab1f_1`x' 
est use tab1f`x', number(2)
est stor tab1f_2`x'
est use tab1f`x', number(3)
est stor tab1f_3`x'
est use tab1f`x', number(4)
est stor tab1f_4`x'
est use tab1f`x', number(5)
est stor tab1f_5`x'

 
# delimit ;
estout 
tab1f_1`x' tab1f_2`x' tab1f_3`x' tab1f_4`x' tab1f_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\Table3_extensivemargin_wbc_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}

