

clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"




                                  *Table 5. Shock on returned migration and number of migrants*
*					        ================================================================================




   								 *Controls as per Yang (2008)*
*							========================================



#delimit; 
global control_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr


xtset hhid post




*hay que dividir por otra cosa, no por pre_size, creo que no son remittances pc

gen remitQatar=Qatar_remit if wave==1
replace remitQatar=Qatar_remit3 if wave==3

gen remitother=other_remit if wave==1
replace remitother=other_remit3 if wave==3

gen remitQatarpc=remitQatar/totalsize

gen remitotherpc=remitother/totalsize

gen lremitQatar=log(1+remitQatar)

gen lremitQatarpc=log(1+remitQatarpc)

gen lremitother=log(1+remitother)

gen lremitotherpc=log(1+remitotherpc)


*browse remit Qatar_remit Qatar_remit3 remitQatar remitother other_remit other_remit3 hhid wave




*Table 5. Panel D. Log Remittances from Qatar*


* Remittances, origin Qatar


foreach x in pre_treat {


reg D(lremitQatar) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1a`x', replace
sum lremitQatar if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_Qatar", se bdec(3)  word ctitle() replace

reg D(lremitQatar) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1a`x', append
sum lremitQatar if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_Qatar", se bdec(3)  word ctitle() append

reg D(lremitQatar) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1a`x', append
sum lremitQatar if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_Qatar", se bdec(3)  word ctitle() append

reg D(lremitQatar) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1a`x', append
sum lremitQatar if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_Qatar", se bdec(3)  word ctitle() append

reg D(lremitQatar) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1a`x', append
sum lremitQatar if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_Qatar", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1a`x', number(1)
est stor tab1a_1`x' 
est use tab1a`x', number(2)
est stor tab1a_2`x'
est use tab1a`x', number(3)
est stor tab1a_3`x'
est use tab1a`x', number(4)
est stor tab1a_4`x'
est use tab1a`x', number(5)
est stor tab1a_5`x'

 
# delimit ;
estout 
tab1a_1`x' tab1a_2`x' tab1a_3`x' tab1a_4`x' tab1a_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_Qatar_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}


*Table 5. Panel E. Log Remittances from Other*

* Remittances, origin other

foreach x in pre_treat {


reg D(lremitother) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1b`x', replace
sum lremitother if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_other", se bdec(3)  word ctitle() replace

reg D(lremitother) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1b`x', append
sum lremitother if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_other", se bdec(3)  word ctitle() append

reg D(lremitother) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1b`x', append
sum lremitother if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_other", se bdec(3)  word ctitle() append

reg D(lremitother) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1b`x', append
sum lremitother if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_other", se bdec(3)  word ctitle() append

reg D(lremitother) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1b`x', append
sum lremitother if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_other", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1b`x', number(1)
est stor tab1b_1`x' 
est use tab1b`x', number(2)
est stor tab1b_2`x'
est use tab1b`x', number(3)
est stor tab1b_3`x'
est use tab1b`x', number(4)
est stor tab1b_4`x'
est use tab1b`x', number(5)
est stor tab1b_5`x'

 
# delimit ;
estout 
tab1b_1`x' tab1b_2`x' tab1b_3`x' tab1b_4`x' tab1b_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\remitorigin_other_`x'.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par)) 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





*																	 		Mig num. to Qatar & other
*																			==================

*I have number of migrants in Qatar:
//wave 1: Qatar
//wave 3: Qatar3

*I have number of migrants in Other:
// wave 1: Other
// wave 3: Other3

sum Qatar Qatar3 other other3
*I replace missings with zero:

mvencode Qatar Qatar3 other other3, mv(0) override

*gen change_mig_Qat=Qatar3-Qatar
gen Qatar_num13=0
replace Qatar_num13=Qatar if wave==1
replace Qatar_num13=Qatar3 if wave==3

*gen change_mig_other=other3-other

gen other_num13=0
replace other_num13=other if wave==1
replace other_num13=other3 if wave==3


 *Table 5. Panel B. .. in number of migrants to Qatar*


*		// Qatar \\		*

foreach x in pre_treat {

reg D(Qatar_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1c`x', replace
sum Qatar_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoQatar", se bdec(3)  word ctitle() replace

reg D(Qatar_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1c`x', append
sum Qatar_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoQatar", se bdec(3)  word ctitle() append

reg D(Qatar_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1c`x', append
sum Qatar_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoQatar", se bdec(3)  word ctitle() append

reg D(Qatar_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1c`x', append
sum Qatar_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoQatar", se bdec(3)  word ctitle() append

reg D(Qatar_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1c`x', append
sum Qatar_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoQatar", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1c`x', number(1)
est stor tab1c_1`x' 
est use tab1c`x', number(2)
est stor tab1c_2`x'
est use tab1c`x', number(3)
est stor tab1c_3`x'
est use tab1c`x', number(4)
est stor tab1c_4`x'
est use tab1c`x', number(5)
est stor tab1c_5`x'
 
# delimit ;
estout 
tab1c_1`x' tab1c_2`x' tab1c_3`x' tab1c_4`x' tab1c_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoQatar.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}


*Table 5. Panel C. .. in number of migrants to Other*


*		// Other \\		*




foreach x in pre_treat {

reg D(other_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1d`x', replace
sum other_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoOther", se bdec(3)  word ctitle() replace

reg D(other_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_1==1, vce(r) 
est save tab1d`x', append
sum other_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoOther", se bdec(3)  word ctitle() append

reg D(other_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_2==1, vce(r) 
est save tab1d`x', append
sum other_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoOther", se bdec(3)  word ctitle() append

reg D(other_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_3==1, vce(r) 
est save tab1d`x', append
sum other_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoOther", se bdec(3)  word ctitle() append

reg D(other_num13) pre_treat pre_dum_Qatar ///
$control_var $control_yang if q_4==1, vce(r) 
est save tab1d`x', append
sum other_num13 if e(sample)==1
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoOther", se bdec(3)  word ctitle() append
}


foreach x in pre_treat {
 
** model 
est use tab1d`x', number(1)
est stor tab1d_1`x' 
est use tab1d`x', number(2)
est stor tab1d_2`x'
est use tab1d`x', number(3)
est stor tab1d_3`x'
est use tab1d`x', number(4)
est stor tab1d_4`x'
est use tab1d`x', number(5)
est stor tab1d_5`x'
 
# delimit ;
estout 
tab1d_1`x' tab1d_2`x' tab1d_3`x' tab1d_4`x' tab1d_5`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\numbertoOther.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
eqlabels(none)
mgroups(none)
cell(b(star fmt(%9.3f) ) se(par))
keep(pre_treat)
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





