

clear
use  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\TableD5_children_data.dta"



#delimit; 
global control_var pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant pre_size 
pre_Head_male pre_Head_age pre_Head_married 
pre_Head_widow pre_Head_divorce 
pre_mig_age pre_mig_month_away 
pre_mig_back_yes pre_below_16_dum;
#delimit cr

drop post
gen post=0
replace post=1 if wave==3


*Identify duplicates!
sort hhid child_member_id post
quietly by hhid child_member_id post:  gen dup = cond(_N==1,0,_n)
//8 obs. Not sure why I have these cases...
//I drop them for now
drop if dup>0
tab dup
drop dup


xtset child_member_id post


gen out_schl_dummy=0
replace out_schl_dummy=1 if child_s02q01==3

*	// school indicator \\*

reg D(out_schl_dummy) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\all", se bdec(3)  word ctitle() replace


reg D(out_schl_dummy) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==2, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\male", se bdec(3)  word ctitle() replace

reg D(out_schl_dummy) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==1, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\female", se bdec(3)  word ctitle() replace



*days missing school

reg D(child_s02q11c) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\all", se bdec(3)  word ctitle(missing) append

reg D(child_s02q11c) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==2, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\male", se bdec(3)  word ctitle(missing) append

reg D(child_s02q11c) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==1, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\female", se bdec(3)  word ctitle(missing) append



gen lchild_s02q09=log(child_s02q09)
gen lchild_s02q09a=log(1+child_s02q09a)
gen lchild_s02q09b=log(1+child_s02q09b)
gen lchild_s02q09c=log(1+child_s02q09c)
gen lchild_s02q09d=log(1+child_s02q09d)
gen lchild_s02q09e=log(1+child_s02q09e)
gen lchild_s02q09f=log(1+child_s02q09f)
gen lchild_s02q11c=log(1+child_s02q11c)

* expenditure in logs

reg D(lchild_s02q09) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\all", se bdec(3)  word ctitle(educexp) append

reg D(lchild_s02q09) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==2, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\male", se bdec(3)  word ctitle(educexp) append

reg D(lchild_s02q09) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==1, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\female", se bdec(3)  word ctitle(educexp) append




gen child_healthsuffer=0
replace child_healthsuffer=1 if child_s03q02a==1


*work*

//assume missing is no working hours:
mvencode child_s07q05, mv(0) override

reg D(child_s07q05) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\all", se bdec(3)  word ctitle(hours) append

reg D(child_s07q05) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==2, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\male", se bdec(3)  word ctitle(hours) append

reg D(child_s07q05) pre_treat pre_dum_Qatar ///
$control_var /// 
child_s01q02 i.child_s01q03 child_s01q07 child_s01q01 if child_s01q02==1, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\female", se bdec(3)  word ctitle(hours) append


