
clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"





** 								*No controls*
**						========================================



#delimit; 
global control_var /*/*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/ */pre_dum_Qatar;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang /*eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4*/ pre_dum_Qatar;
#delimit cr


xtset hhid post



** 																			
**																		
gen Out_Agric_incomepc=Out_Agric_income/totalsize

gen lOut_Agric_incomepc=log(1+Out_Agric_incomepc)

gen Out_Nonagric_incomepc=Out_Nonagric_income/totalsize

gen lOut_Nonagric_incomepc=log(1+Out_Nonagric_incomepc)

gen total_incpc=total_inc/totalsize

gen ltotal_incpc=log(1+total_incpc)

gen remittances=exp(lremit)

gen remitpc=remittances/totalsize

gen lremitpc=log(remitpc)

gen out_food_exppc=out_food_exp/totalsize

gen lout_food_exppc=log(out_food_exppc)

gen out_freq_nonfood_exppc=out_freq_nonfood_exp/totalsize

gen lout_freq_nonfood_exppc=log(out_freq_nonfood_exppc)

gen out_infreq_nonfood_exppc=out_infreq_nonfood_exp/totalsize

gen lout_infreq_nonfood_exppc=log(1+out_infreq_nonfood_exppc)
*The only one with minimum value 0 is that of infrequent non food expenditure

gen out_total_nonfoodexppc=out_total_nonfoodexp/totalsize

gen lout_total_nonfoodexppc=log(out_total_nonfoodexppc)

gen all_exppc2=all_exp2/totalsize

gen llog_all_exppc2=log(all_exppc2)

gen out_schl_exp_totalpc=out_schl_exp_total/totalsize

gen lout_schl_exp_totalpc=log(out_schl_exp_totalpc)

gen out_health_exp_totalpc=out_health_exp_total/totalsize

gen lout_health_exp_totalpc=log(out_health_exp_totalpc)

gen lloanrepaid=log(1+loanrepaid)

gen loanrepaidpc=loanrepaid/totalsize

gen lloanrepaidpc=log(1+loanrepaidpc)

*loan amount in logs

gen lout_s12q06=log(1+out_s12q06)

gen out_s12q06pc=out_s12q06/totalsize

gen lout_s12q06pc=log(1+out_s12q06pc)



** 																			* Remittances (log)*
**																			====================



reg D(lremitpc) pre_treat pre_dum_Qatar, ///
vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremitpc", se bdec(3)  word ctitle() replace






** 																			*total income (log)*
**																			====================



reg D(ltotal_incpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalincpc", se bdec(3)  word ctitle() replace





** 																			*Agric inc (log)*
**																			================



reg D(lOut_Agric_incomepc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricincpc", se bdec(3)  word ctitle() replace






** 																			*Nonagric inc (log)*
**																			====================






reg D(lOut_Nonagric_incomepc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricincpc", se bdec(3)  word ctitle() replace






*																	 			All exp excluding health and school expenditures
*																				=======



reg D(llog_all_exppc2) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2pc", se bdec(3)  word ctitle() replace








*																	 		food exp
*																	 		=========



reg D(lout_food_exppc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexppc", se bdec(3)  word ctitle() replace






*																	 		frequent non-food s6a
*																			======================



reg D(lout_freq_nonfood_exppc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexppc", se bdec(3)  word ctitle() replace




*																	 		infrequent non-food exp
*																			=======================


reg D(lout_infreq_nonfood_exppc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexppc", se bdec(3)  word ctitle() replace






*																	 			    School expenditure
*																			  =============================



reg D(lout_schl_exp_totalpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang , vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexppc", se bdec(3)  word ctitle() replace






*																	 			    Health expenditure
*																			  =============================


reg D(lout_health_exp_totalpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexppc", se bdec(3)  word ctitle() replace








reg D(lloanrepaidpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidcpc", se bdec(3)  word ctitle() replace







**																			*out_s12q06*
**																			===========


reg D(lout_s12q06pc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06pc", se bdec(3)  word ctitle() replace






** 								*Controls as per Yang (2008)*
**							========================================



#delimit; 
global control_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr





** 																			* Remittances (log)*
**																			====================



reg D(lremitpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lremitpc", se bdec(3)  word ctitle() append






** 																			*total income (log)*
**																			====================



reg D(ltotal_incpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ltotalincpc", se bdec(3)  word ctitle() append





** 																			*Agric inc (log)*
**																			================



reg D(lOut_Agric_incomepc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lagricincpc", se bdec(3)  word ctitle() append






** 																			*Nonagric inc (log)*
**																			====================






reg D(lOut_Nonagric_incomepc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\lnonagricincpc", se bdec(3)  word ctitle() append






*																	 			All exp excluding health and school expenditures
*																				=======



reg D(llog_all_exppc2) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\logallexp2pc", se bdec(3)  word ctitle() append








*																	 		food exp
*																	 		=========



reg D(lout_food_exppc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfoodexppc", se bdec(3)  word ctitle() append






*																	 		frequent non-food s6a
*																			======================



reg D(lout_freq_nonfood_exppc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutfreqnonfoodexppc", se bdec(3)  word ctitle() append




*																	 		infrequent non-food exp
*																			=======================


reg D(lout_infreq_nonfood_exppc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loutinfreqnonfoodexppc", se bdec(3)  word ctitle() append







*																	 			    School expenditure
*																			  =============================



reg D(lout_schl_exp_totalpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang , vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\schoolexppc", se bdec(3)  word ctitle() append






*																	 			    Health expenditure
*																			  =============================


reg D(lout_health_exp_totalpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\healthexppc", se bdec(3)  word ctitle() append








reg D(lloanrepaidpc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\loanrepaidcpc", se bdec(3)  word ctitle() append







**																			*out_s12q06*
**																			===========


reg D(lout_s12q06pc) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\ls12q06pc", se bdec(3)  word ctitle() append


