



clear
use "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\data.dta"


** 																			*HH without migrants returning*
**																			===============================



keep if w3_return_mig_w3==0



xtset hhid post


** 																			* No controls *
**																		 ====================


*$control_var


foreach x in pre_treat {





** 			//	FD Model  \\			**
reg D(lremit) pre_treat pre_dum_Qatar, ///
vce(r) 
est save tab1a`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\TableD6_nc", se bdec(3)  word ctitle() replace




** 			//	Clustered FD Model \\			**
reg D(lremit) pre_treat pre_dum_Qatar, ///
vce(cluster vdc) 
est save tab1a`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\TableD6_nc", se bdec(3)  word ctitle() append




}



**Main coeff. export**

foreach x in pre_treat {
 
** model 
est use tab1a`x', number(1)
est stor tab1a_1`x' 
est use tab1a`x', number(2)
est stor tab1a_2`x'


 
# delimit ;
estout 
tab1a_1`x' tab1a_2`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\TableD6_nc.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell("b(star fmt(%9.3f) ) se(par)") 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}





** 								*Controls as per Yang (2008)*
**						  ========================================



#delimit; 
global control_var /*pre_Hindu pre_Buddhist
pre_Muslim pre_Christian pre_Kirant*/ pre_size 
/*pre_Head_male*/ pre_Head_age /*pre_Head_married 
pre_Head_widow pre_Head_divorce*/ pre_Head_single
pre_mig_age pre_mig_month_away 
/*pre_mig_back_yes pre_below_16_dum*/;
#delimit cr


*ADD controls as per Yang
#delimit; 
global control_yang eltotal_incpc_pre incq_2
incq_3 incq_4 edemp1 edemp2 edemp3 edemp4
pre_Head_educ_2 pre_Head_educ_3 pre_Head_educ_4;
#delimit cr






** 																			  *Yang controls*
**																			====================


foreach x in pre_treat {





** 			//	FD Model  \\			**
reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(r) 
est save tab1b`x', replace
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\TableD6", se bdec(3)  word ctitle() replace




** 			//	Clustered FD Model \\			**
reg D(lremit) pre_treat pre_dum_Qatar ///
$control_var $control_yang, vce(cluster vdc) 
est save tab1b`x', append
outreg2 using "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\TableD6", se bdec(3)  word ctitle() append




}



**Main coeff. export**

foreach x in pre_treat {
 
** model 
est use tab1b`x', number(1)
est stor tab1b_1`x' 
est use tab1b`x', number(2)
est stor tab1b_2`x'


 
# delimit ;
estout 
tab1b_1`x' tab1b_2`x'
using  "R:\Economics\navarrop\Afnan\Nepal_Embargo\A_Replication_package\Outs\TableD6.tex", label stats(N
    , fmt(0 %9.0g  %9.3f ) 
label(Observations   )
layout(@ @     ) )
style(tex)
mlabels(none)
collabels(none)
keep(pre_treat)
eqlabels(none)
mgroups(none)
cell("b(star fmt(%9.3f) ) se(par)") 
starlevels(* 0.10 ** 0.05 *** 0.01) replace
;
# delimit cr
}



